> ## Documentation Index
> Fetch the complete documentation index at: https://velt.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete All User Data

> Remove All User data from Velt.

Use this API to remove all user data from Velt. This will:

* remove their access from all the documents and data in the organization.
* remove them from @mention contact dropdown list.
* remove them from @mentions where they were tagged.
* remove all feature data created by the user. eg: comments, reactions etc.

> [!WARNING]
>
> * This API may take up to 5 minutes to return a 202 response since it runs an asynchronous job to delete user data across the system.
> * To speed up this process, you can optionally provide the organizationIds where the user belongs.
> * The actual deletion of data can take upto 24 hours to complete.

# Endpoint

`POST https://api.velt.dev/v2/users/data/delete`

# Headers

**x-velt-api-key** `string` *required*

Your API key.

**x-velt-auth-token** `string` *required*

Your [Auth Token](https://velt.dev/docs/security/auth-tokens.md).

# Body

#### Params

**data** `object` *required*

**properties**

**userIds** `string[]` *required*

Array of user Ids.

**organizationIds** `string[]`

Array of organization Ids. These are the organizations that the user is part of.

## **Example Request**

```JSON theme={null}
{
  "data": {
    "userIds": [
      "yourUserId1",
      "yourUserId2"
    ],
    "organizationIds": [
      "yourOrganizationId1",
      "yourOrganizationId2"
    ]
  }
}
```

# Response

#### Success Response

```JSON theme={null}
{
  "status": "success",
  "message": "Data deletion process has been initiated.",
  "data": {
    "jobId": "dsQuvPmIynANgPLLEhCm",
    "tasksCount": 5
  },
  "statusCode": 202
}
```

#### Failure Response

```JSON theme={null}
{
  "error": {
    "message": "ERROR_MESSAGE",
    "status": "INVALID_ARGUMENT"
  }
}
```

```js theme={null}
{
  "status": "success",
  "message": "Data deletion process has been initiated.",
  "data": {
    "jobId": "dsQuvPmIynANgPLLEhCm",
    "tasksCount": 5
  },
  "statusCode": 202
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.